Zeitgeist.Log.insert_event_no_reply – zeitgeist-2.0 Reference Manual

# insert_event_no_reply

## Description:

public void insert_event_no_reply (Event event) throws Error

Asynchronously send a set of events to the Zeitgeist daemon, requesting they be inserted into the log. This method is &quot;fire and forget&quot; and the caller will never know whether the events was successfully inserted or not.

This method is exactly equivalent to calling zeitgeist_log_insert_event() with NULL set as @cancellable, @callback, and @user_data.

## Parameters:

event | A Event